Update IVR flow
PUT
/v1/ivr-flows/{flowID}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
flowIDstringrequiredFlow ID
Request body
requiredapplication/jsondescriptionstringFlow description
graphobjectv2 flow graph
is_activebooleanWhether the flow is active
is_call_startbooleanAuto-start on incoming calls
is_outgoing_endbooleanUse for outgoing calls
namestringFlow name
Responses
200OK
created_atstringrequireddescriptionstringrequiredgraphobjectrequiredidstringrequiredis_activebooleanrequiredis_call_startbooleanrequiredis_outgoing_endbooleanrequirednamestringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PUT "/v1/ivr-flows/string" \
-H "Content-Type: application/json" \
-d '{
"description": "string",
"graph": {},
"is_active": true,
"is_call_start": true,
"is_outgoing_end": true,
"name": "string"
}'const response = await fetch("/v1/ivr-flows/string", {
method: "PUT",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"description": "string",
"graph": {},
"is_active": true,
"is_call_start": true,
"is_outgoing_end": true,
"name": "string"
})
});import requests
response = requests.put(
"/v1/ivr-flows/string",
headers={
"Content-Type": "application/json"
},
json={
"description": "string",
"graph": {},
"is_active": True,
"is_call_start": True,
"is_outgoing_end": True,
"name": "string"
},
)Response
{
"created_at": "string",
"description": "string",
"graph": {},
"id": "string",
"is_active": true,
"is_call_start": true,
"is_outgoing_end": true,
"name": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}